/*
 * AppTaskMain.c
 *
 *  Created on: 2022Äê2ÔÂ22ÈÕ
 *      Author: QiXiang_CHENJIE
 */

#include "AppTaskMain.h"


void MainTask(void *pvParameters)
{
	(void)pvParameters;
	TimerHandle_t monitorTimer;
	monitorTimer = xTimerCreate("monitor",1,pdTRUE,(void *)0,vTimerCallback);
	xTimerStart(monitorTimer,0);
	uint16 counter = 0;
	while(1)
	{
		vTaskDelay(pdMS_TO_TICKS(10));
		if(HAL_Is100msTickTimeout())
		{
			if(IsFeedWdg == TRUE)
			{
				WATCHDOG_HAL_Feed();
			}
		}
	}

}

